update a job.md
Update a Job
PATCH https://app.mk.io/api/v1/projects/{project_name}/media/transforms/{transform_name}/jobs/{job_name}
Update an existing Job.
Update is only supported for description, priority and correlationData.
RBAC Capability Required: ams.job.update
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
transform_name |
string | Yes | — |
job_name |
string | Yes | — |
Request body
Content type: application/json
properties· object · Required — Properties of the jobcorrelationData· map from strings to any · Optional — Customer provided key, value pairs that will be returned in Job and JobOutput state events.[any key]· any — map of additional properties
description· string or null · Optional · <=1024 characters — The description of the Job.input· object · Required — The inputs of the Job.- One of the following variants, selected by
@odata.type:- #Microsoft.Media.JobInputAsset (object)
@odata.type· string · Required — The discriminator for derived types.assetName· string · Required — The name of the input Assetend· object · Optional — Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.- One of the following variants, selected by
@odata.type:- #Microsoft.Media.AbsoluteClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · pattern: ^P(?:(?P\d+)Y)?(?:(?P — The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.\d+)M)?(?:(?P \d+)W)?(?:(?P \d+)D)?T(?:(?P \d+)H)?(?:(?P \d+)M)?(?:(?P (?:\d*.)?\d+)S)?$
- #Microsoft.Media.UtcClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · format: date-time — The time position on the timeline of the input media based on UTC time.trigger· object · Optional — SCTE-35 signal trigger. Recording starts/stops at the first matching signal.filters· list of list of mapss · Optional — Outer array is OR-combined; each inner array is AND-combined field matchers.- Array items (list of map from strings to anys):
- Array items (map from strings to any):
[any key]· any — map of additional properties
- Array items (map from strings to any):
- Array items (list of map from strings to anys):
searchRange· object · Optional — Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor istimeif present, else dispatch_time (start) or resolved_start (end).endOffset· string · Required — Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").startOffset· string · Required — Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalType· enum · Required — Signal type.- Allowed values:
SCTE35
- Allowed values:
- #Microsoft.Media.AbsoluteClipTime (object)
- One of the following variants, selected by
files· list of strings · Optional — List of files.- Array items (string):
label· string · Optional — A label that is assigned to a JobInputClipstart· object · Optional — Defines a point on the timeline of the input media at which processing will start. Defaults to the beginning of the input media.- One of the following variants, selected by
@odata.type:- #Microsoft.Media.AbsoluteClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · pattern: ^P(?:(?P\d+)Y)?(?:(?P — The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.\d+)M)?(?:(?P \d+)W)?(?:(?P \d+)D)?T(?:(?P \d+)H)?(?:(?P \d+)M)?(?:(?P (?:\d*.)?\d+)S)?$
- #Microsoft.Media.UtcClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · format: date-time — The time position on the timeline of the input media based on UTC time.trigger· object · Optional — SCTE-35 signal trigger. Recording starts/stops at the first matching signal.filters· list of list of mapss · Optional — Outer array is OR-combined; each inner array is AND-combined field matchers.- Array items (list of map from strings to anys):
- Array items (map from strings to any):
[any key]· any — map of additional properties
- Array items (map from strings to any):
- Array items (list of map from strings to anys):
searchRange· object · Optional — Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor istimeif present, else dispatch_time (start) or resolved_start (end).endOffset· string · Required — Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").startOffset· string · Required — Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalType· enum · Required — Signal type.- Allowed values:
SCTE35
- Allowed values:
- #Microsoft.Media.AbsoluteClipTime (object)
- One of the following variants, selected by
- #Microsoft.Media.JobInputHttp (object)
@odata.type· string · Required — The discriminator for derived types.baseUri· string · Optional — Base URI for HTTPS job input. It will be concatenated with provided file names. If no base uri is given, then the provided file list is assumed to be fully qualified uris.end· object · Optional — (NOT IMPLEMENTED) Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.- One of the following variants, selected by
@odata.type:- #Microsoft.Media.AbsoluteClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · pattern: ^P(?:(?P\d+)Y)?(?:(?P — The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.\d+)M)?(?:(?P \d+)W)?(?:(?P \d+)D)?T(?:(?P \d+)H)?(?:(?P \d+)M)?(?:(?P (?:\d*.)?\d+)S)?$
- #Microsoft.Media.UtcClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · format: date-time — The time position on the timeline of the input media based on UTC time.trigger· object · Optional — SCTE-35 signal trigger. Recording starts/stops at the first matching signal.filters· list of list of mapss · Optional — Outer array is OR-combined; each inner array is AND-combined field matchers.- Array items (list of map from strings to anys):
- Array items (map from strings to any):
[any key]· any — map of additional properties
- Array items (map from strings to any):
- Array items (list of map from strings to anys):
searchRange· object · Optional — Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor istimeif present, else dispatch_time (start) or resolved_start (end).endOffset· string · Required — Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").startOffset· string · Required — Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalType· enum · Required — Signal type.- Allowed values:
SCTE35
- Allowed values:
- #Microsoft.Media.AbsoluteClipTime (object)
- One of the following variants, selected by
files· list of strings · Required — List of files. Required for JobInputHttp.- Array items (string):
label· string · Optional — A label that is assigned to a JobInputClipstart· object · Optional — (NOT IMPLEMENTED) Defines a point on the timeline of the input media at which processing will start. Defaults to the beginning of the input media.- One of the following variants, selected by
@odata.type:- #Microsoft.Media.AbsoluteClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · pattern: ^P(?:(?P\d+)Y)?(?:(?P — The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.\d+)M)?(?:(?P \d+)W)?(?:(?P \d+)D)?T(?:(?P \d+)H)?(?:(?P \d+)M)?(?:(?P (?:\d*.)?\d+)S)?$
- #Microsoft.Media.UtcClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · format: date-time — The time position on the timeline of the input media based on UTC time.trigger· object · Optional — SCTE-35 signal trigger. Recording starts/stops at the first matching signal.filters· list of list of mapss · Optional — Outer array is OR-combined; each inner array is AND-combined field matchers.- Array items (list of map from strings to anys):
- Array items (map from strings to any):
[any key]· any — map of additional properties
- Array items (map from strings to any):
- Array items (list of map from strings to anys):
searchRange· object · Optional — Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor istimeif present, else dispatch_time (start) or resolved_start (end).endOffset· string · Required — Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").startOffset· string · Required — Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalType· enum · Required — Signal type.- Allowed values:
SCTE35
- Allowed values:
- #Microsoft.Media.AbsoluteClipTime (object)
- One of the following variants, selected by
- #Microsoft.Media.JobInputAsset (object)
- One of the following variants, selected by
outputs· list of objects · Required — The outputs for the Job.- Array items (object):
- One of the following variants, selected by
@odata.type:- #Microsoft.Media.JobOutputAsset (object)
@odata.type· string · Required — The discriminator for derived types.assetName· string · Required — The name of the output Assetlabel· string · Optional — A label that is assigned to a JobOutput in order to help uniquely identify it.
- #Microsoft.Media.JobOutputAsset (object)
- One of the following variants, selected by
- Array items (object):
priority· enum · Optional · Defaults to Normal — Priority with which the job should be processed. Higher priority jobs are processed before lower priority jobs. If not set, the default is normal.- Allowed values:
High,Low,Normal
- Allowed values:
Example request
curl -X PATCH "https://app.mk.io/api/v1/projects/{project_name}/media/transforms/{transform_name}/jobs/{job_name}" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"properties": {
"correlationData": {
"key": null
},
"description": "string",
"input": {
"@odata.type": "#Microsoft.Media.JobInputAsset",
"assetName": "string",
"end": {
"@odata.type": "#Microsoft.Media.AbsoluteClipTime",
"time": "string"
},
"files": [
"string"
],
"label": "string",
"start": {
"@odata.type": "#Microsoft.Media.AbsoluteClipTime",
"time": "string"
}
},
"outputs": [
{
"@odata.type": "#Microsoft.Media.JobOutputAsset",
"assetName": "string",
"label": "string"
}
],
"priority": "Normal"
}
}'
Responses
200 — Job was updated
id· string · Optional — Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}name· string · Optional · 1-260 characters · pattern: ^[^'<>%&:?/*+]+$ — The name of the resourceproperties· object · Required — Properties of the jobcorrelationData· map from strings to any · Optional — Customer provided key, value pairs that will be returned in Job and JobOutput state events.[any key]· any — map of additional properties
created· string · Optional · format: date-time — The creation date and time of the Job. Set by the system.description· string or null · Optional · <=1024 characters — The description of the Job.endTime· string or null · Optional — The UTC date and time at which this Job finished processinginput· object · Required — The inputs of the Job.- One of the following variants, selected by
@odata.type:- #Microsoft.Media.JobInputAsset (object)
@odata.type· string · Required — The discriminator for derived types.assetName· string · Required — The name of the input Assetend· object · Optional — Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.- One of the following variants, selected by
@odata.type:- #Microsoft.Media.AbsoluteClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · pattern: ^P(?:(?P\d+)Y)?(?:(?P — The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.\d+)M)?(?:(?P \d+)W)?(?:(?P \d+)D)?T(?:(?P \d+)H)?(?:(?P \d+)M)?(?:(?P (?:\d*.)?\d+)S)?$
- #Microsoft.Media.UtcClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · format: date-time — The time position on the timeline of the input media based on UTC time.trigger· object · Optional — SCTE-35 signal trigger. Recording starts/stops at the first matching signal.filters· list of list of mapss · Optional — Outer array is OR-combined; each inner array is AND-combined field matchers.- Array items (list of map from strings to anys):
- Array items (map from strings to any):
[any key]· any — map of additional properties
- Array items (map from strings to any):
- Array items (list of map from strings to anys):
searchRange· object · Optional — Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor istimeif present, else dispatch_time (start) or resolved_start (end).endOffset· string · Required — Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").startOffset· string · Required — Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalType· enum · Required — Signal type.- Allowed values:
SCTE35
- Allowed values:
- #Microsoft.Media.AbsoluteClipTime (object)
- One of the following variants, selected by
files· list of strings · Optional — List of files.- Array items (string):
label· string · Optional — A label that is assigned to a JobInputClipstart· object · Optional — Defines a point on the timeline of the input media at which processing will start. Defaults to the beginning of the input media.- One of the following variants, selected by
@odata.type:- #Microsoft.Media.AbsoluteClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · pattern: ^P(?:(?P\d+)Y)?(?:(?P — The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.\d+)M)?(?:(?P \d+)W)?(?:(?P \d+)D)?T(?:(?P \d+)H)?(?:(?P \d+)M)?(?:(?P (?:\d*.)?\d+)S)?$
- #Microsoft.Media.UtcClipTime (object)
@odata.type· string · Required — The discriminator for derived types.time· string · Optional · format: date-time — The time position on the timeline of the input media based on UTC time.trigger· object · Optional — SCTE-35 signal trigger. Recording starts/stops at the first matching signal.filters· list of list of mapss · Optional — Outer array is OR-combined; each inner array is AND-combined field matchers.- Array items (list of map from strings to anys):
- Array items (map from strings to any):
[any key]· any — map of additional properties
- Array items (map from strings to any):
- Array items (list of map from strings to anys):
searchRange· object · Optional — Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor istimeif present, else dispatch_time (start) or resolved_start (end).endOffset· string · Required — Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").startOffset· string · Required — Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalType· enum · Required — Signal type.- Allowed values:
SCTE35
- Allowed values:
- #Microsoft.Media.AbsoluteClipTime (object)
- One of the following variants, selected by
- #Microsoft.Media.JobInputAsset (object)
- One of the following variants, selected by
lastModified· string · Optional · format: date-time — The last modified date and time of the Job. Set by the system.outputs· list of objects · Required — The outputs for the Job.- Array items (object):
- One of the following variants, selected by
@odata.type:- #Microsoft.Media.JobOutputAsset (object)
@odata.type· string · Required — The discriminator for derived types.assetName· string · Required — The name of the output AssetendTime· string or null · Optional — The UTC date and time at which this Output finished processing.error· object · Optional — Details of the Job Output if it is in error state.category· enum · Optional- Allowed values:
Account,Configuration,Content,Download,Service,Upload
- Allowed values:
code· enum · Optional- Allowed values:
ConfigurationUnsupported,ContentMalformed,ContentUnsupported,DownloadNotAccessible,DownloadTransientError,IdentityUnsupported,ServiceError,ServiceTransientError,UploadNotAccessible,UploadTransientError
- Allowed values:
message· string · Optionalretry· enum · Optional- Allowed values:
DoNotRetry,MayRetry
- Allowed values:
label· string · Optional — A label that is assigned to a JobOutput in order to help uniquely identify it.progress· integer or null · Optional · Defaults to 0 — If the JobOutput is in a Processing state, this contains the Job completion percentage. The value is an estimate and not intended to be used to predict Job completion times.startTime· string or null · Optional — The UTC date and time at which this Output began processing.state· enum or null · Optional · Defaults to Queued — The current state of the job.- Allowed values:
Canceled,Canceling,Error,Finished,Processing,Queued,Scheduled
- Allowed values:
- #Microsoft.Media.JobOutputAsset (object)
- One of the following variants, selected by
- Array items (object):
priority· enum · Optional · Defaults to Normal — Priority with which the job should be processed. Higher priority jobs are processed before lower priority jobs. If not set, the default is normal.- Allowed values:
High,Low,Normal
- Allowed values:
recording· object or null · Optional — Recording status. Present only for recording jobs.actualEndTime· string or null · Optional — The content range actually captured — end.actualStartTime· string or null · Optional — The content range actually captured — start.details· string or null · Optional — Error details; empty otherwise.state· enum · Optional — Current recording lifecycle state.- Allowed values:
Scheduled,Waiting,InProgress,Completed,Error
- Allowed values:
targetEndTime· string or null · Optional — The boundary the pod is currently targeting for clip end.targetStartTime· string or null · Optional — The boundary the pod is currently targeting for clip start.
startTime· string or null · Optional · format: date-time — The UTC date and time at which this Job started processingstate· enum · Optional · Defaults to Queued — The current state of the job.- Allowed values:
Canceled,Canceling,Error,Finished,Processing,Queued,Scheduled
- Allowed values:
systemData· object · Optional — Metadata pertaining to creation and last modification of the resource.createdAt· string · Required · format: date-time — The timestamp of resource creation (UTC).createdBy· string · Required — The identity that created the resource.createdByType· enum · Required — The type of identity that created the resource.- Allowed values:
User,Application,ManagedIdentity,Key
- Allowed values:
internalId· string · Required · format: uuid — The internal ID of the resource.lastModifiedAt· string · Required · format: date-time — The timestamp of resource last modification (UTC).lastModifiedBy· string · Required — The identity that last modified the resource.lastModifiedByType· enum · Required — The type of identity that last modified the resource.- Allowed values:
User,Application,ManagedIdentity,Key
- Allowed values:
type· string · Optional — The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"